## sakura 3.8.7

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.8.12 FATAL_ERROR)
CMAKE_POLICY(SET CMP0005 NEW)
PROJECT (sakura)
SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
SET (VERSION "3.8.7")


INCLUDE (FindPkgConfig)

IF (NOT PKG_CONFIG_FOUND)
	MESSAGE (FATAL_ERROR "pkg-config not found...")
ENDIF (NOT PKG_CONFIG_FOUND)

pkg_check_modules (GLIB REQUIRED glib-2.0>=2.40)
IF (NOT GLIB_FOUND)
	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.40 development libraries installed...")
ENDIF (NOT GLIB_FOUND)

pkg_check_modules (GTK REQUIRED gtk+-3.0>=3.20)
IF (NOT GTK_FOUND)
	MESSAGE(FATAL_ERROR "You don't seem to have gtk >= 3.20 development libraries installed...")
ENDIF (NOT GTK_FOUND)

pkg_check_modules (VTE REQUIRED vte-2.91>=0.50)
IF (NOT VTE_FOUND)
	MESSAGE(FATAL_ERROR "You don't seem to have vte >= 0.50 development libraries installed...")
ENDIF (NOT VTE_FOUND)

pkg_check_modules (X11 REQUIRED x11)
IF (NOT X11_FOUND)
	MESSAGE(FATAL_ERROR "You don't seem to have x11 development libraries installed...")
ENDIF (NOT X11_FOUND)

FIND_PROGRAM(POD2MAN pod2man)
MESSAGE ("pod2man executable is" ${POD2MAN})

ADD_DEFINITIONS (-DVERSION="${VERSION}")
ADD_DEFINITIONS (-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
ADD_DEFINITIONS (-DBUILDTYPE="${CMAKE_BUILD_TYPE}")

IF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
	SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
ELSE (${CMAKE_BUILD_TYPE} NOT MATCHES "Debug")
	SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -Wno-deprecated-declarations")
ENDIF (${CMAKE_BUILD_TYPE} MATCHES "Debug")

INCLUDE_DIRECTORIES (. ${GTK_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})
LINK_DIRECTORIES (${GTK_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS} ${X11_LIBRARY_DIRS})
LINK_LIBRARIES (${GTK_LIBRARIES} ${VTE_LIBRARIES} ${X11_LIBRARIES} m)
ADD_EXECUTABLE (sakura src/sakura.c)

ADD_SUBDIRECTORY (po)

INSTALL (TARGETS sakura RUNTIME DESTINATION bin)
INSTALL (FILES sakura.desktop DESTINATION share/applications)
INSTALL (FILES terminal-tango.svg DESTINATION share/pixmaps)
IF (POD2MAN)
	INSTALL (FILES ${sakura_BINARY_DIR}/sakura.1 DESTINATION share/man/man1)
ENDIF (POD2MAN)
INSTALL (FILES README.md DESTINATION share/doc/sakura)

FILE (GLOB MO_FILES po/*.mo)

SET_DIRECTORY_PROPERTIES (PROPERTIES
	ADDITIONAL_MAKE_CLEAN_FILES "${MO_FILES};po/sakura.pot")
SET (EXECUTABLE_OUTPUT_PATH src)

ADD_CUSTOM_TARGET (distclean
	rm -f Makefile cmake_install.cmake CMakeCache.txt install_manifest.txt sakura.1
	COMMAND rm -f po/*.mo po/sakura.pot po/Makefile po/cmake_install.cmake
	COMMAND rm -rf CMakeFiles po/CMakeFiles)

IF (POD2MAN)
ADD_CUSTOM_TARGET(man ALL
	COMMAND ${POD2MAN} -u --section=1 --release=${VERSION} --center '' ${sakura_SOURCE_DIR}/sakura.pod sakura.1)
ENDIF (POD2MAN)

=== debian/changelog ===
sakura (3.8.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:57:20 +1100

sakura (3.8.7-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:53:36 +0000

sakura (3.8.7-1) unstable; urgency=medium

  * New upstream version 3.8.7
  * Upgrade to Standards Version 4.6.2 (No changes required)
  * Update Debian copyright year

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 13 Jun 2023 22:26:03 +0200

=== debian/control ===
Source: sakura
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
Uploaders: Andreas Rönnquist <gusnan@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgtk-3-dev,
               libpcre2-dev,
               libvte-2.91-dev,
               perl
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/sakura.git
Vcs-Browser: https://salsa.debian.org/debian/sakura
Homepage: http://www.pleyades.net/david/projects/sakura

Package: sakura
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-terminal-emulator
Description: simple but powerful libvte-based terminal emulator
 Sakura is a terminal emulator based on GTK+ and VTE. It's a
 terminal emulator with few dependencies, so you don't need a
 full GNOME desktop installed to have a decent terminal emulator.

=== debian/watch ===
version=4
https://launchpad.net/sakura/ \
.*/\+download/sakura(?:-|\.|_|_v)(\d\S*)[\._](?:tar\.xz|tar\.bz2|tar\.gz)

## sakura 3.8.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-CMAKE_MINIMUM_REQUIRED (VERSION 2.8.12 FATAL_ERROR)
+CMAKE_MINIMUM_REQUIRED (VERSION 3.15 FATAL_ERROR)
 CMAKE_POLICY(SET CMP0005 NEW)
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.8.7")
+SET (VERSION "3.8.8")
 
 
 INCLUDE (FindPkgConfig)

=== debian/changelog ===
sakura (3.8.8-1) unstable; urgency=medium

  * New upstream version 3.8.8
  * Upgrade to Standards Version 4.7.0 (No changes required)
  * Update copyright to 2024

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 11 Aug 2024 12:17:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sakura
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
+Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
 Uploaders: Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -10,7 +9,7 @@
                libpcre2-dev,
                libvte-2.91-dev,
                perl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sakura.git
 Vcs-Browser: https://salsa.debian.org/debian/sakura

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=1

override_dh_install:
	dh_install
	rm -f debian/sakura/usr/share/doc/sakura/INSTALL

override_dh_clean:
	rm -f src/sakura
	dh_clean

=== debian/watch ===
version=4
https://launchpad.net/sakura/ \
.*/\+download/sakura(?:-|\.|_|_v)(\d\S*)[\._](?:tar\.xz|tar\.bz2|tar\.gz)

## sakura 3.8.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 CMAKE_POLICY(SET CMP0005 NEW)
 PROJECT (sakura)
 SET (AUTHOR "David Gómez Espinosa" INTERNAL "Author")
-SET (VERSION "3.8.8")
+SET (VERSION "3.8.9")
 
 
 INCLUDE (FindPkgConfig)
@@ -12,6 +12,11 @@
 ENDIF (NOT PKG_CONFIG_FOUND)
 
 pkg_check_modules (GLIB REQUIRED glib-2.0>=2.40)
+IF (NOT GLIB_FOUND)
+	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.40 development libraries installed...")
+ENDIF (NOT GLIB_FOUND)
+
+pkg_check_modules (GLIB REQUIRED gio-unix-2.0)
 IF (NOT GLIB_FOUND)
 	MESSAGE(FATAL_ERROR "You don't seem to have glib >= 2.40 development libraries installed...")
 ENDIF (NOT GLIB_FOUND)

=== po/CMakeLists.txt ===
# Localization
FIND_PROGRAM(XGETTEXT xgettext)
FIND_PROGRAM(MSGFMT msgfmt)
FIND_PROGRAM(MSGMERGE msgmerge)

IF(NOT MSGFMT)
	MESSAGE( "------
			NOTE: msgfmt not found. Translations will *not* be installed
			------")
ELSE(NOT MSGFMT)

	SET(catalogname sakura)

	FILE (GLOB PO_FILES *.po)
	FILE (GLOB SOURCES ../src/*.c)

	ADD_CUSTOM_TARGET(translations ALL)

	ADD_CUSTOM_COMMAND(TARGET translations
		COMMAND ${XGETTEXT} -o sakura.pot --keyword=_ --keyword=N_ --no-location --from-code=utf-8 ${SOURCES}
		DEPENDS ${_poFile})
	FOREACH(_poFile ${PO_FILES})
		GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
		SET(_moFile ${_lang}.mo)
		ADD_CUSTOM_COMMAND(TARGET translations
				COMMAND ${MSGMERGE} -q -U ${_poFile} --backup=none sakura.pot
				COMMAND ${MSGFMT} --check -o ${_moFile} ${_poFile}
				DEPENDS ${_poFile})
		INSTALL(FILES ${CMAKE_BINARY_DIR}/po/${_moFile}
			   	DESTINATION share/locale/${_lang}/LC_MESSAGES/
			   	RENAME ${catalogname}.mo)
	ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT MSGFMT)

=== debian/changelog ===
sakura (3.8.9-1) unstable; urgency=medium

  * New upstream version 3.8.9
  * Remove patches, applied upstream
  * Fix old-fsf-address-in-copyright-file

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 08 Apr 2025 02:45:20 +0200

sakura (3.8.8-2) unstable; urgency=medium

  * Add patch to don't give Gdk-CRITICAL errors for non set keyboard
    shortcuts (Closes: #1094402)
  * Upgrade Standards Version to 4.7.2 (No changes required)
  * Upgrade Debian packaging year to 2025
  * Add forwarded field to 0001-Add-Keywords-field-to-desktop-file.patch

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 25 Mar 2025 20:48:36 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libpcre2-dev,
                libvte-2.91-dev,
                perl
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sakura.git
 Vcs-Browser: https://salsa.debian.org/debian/sakura

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,3 @@
 override_dh_clean:
 	rm -f src/sakura
 	dh_clean
-
